---
title: Game promotion
slug: Games/Publishing_games/Game_promotion
tags:
  - Community
  - Games
  - JavaScript
  - Online Games
  - Promotion
  - blog
  - competitions
---
<div>{{GamesSidebar}}</div>

<p class="summary">Developing and publishing your game is not enough. You have to let the world know that you have something interesting available that people will enjoy playing. There are many ways to promote your game — most of them being free, so even if you're struggling to make a living as an indie dev with zero budget you can still do a lot to let people know about your great new game. Promoting the game helps a lot when <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_monetization">monetizing</a> it later on too, so it's important to do it correctly.</p>

<h2 id="Competitions">Competitions</h2>

<p>Taking part in <a href="http://compohub.net/">competitions</a> will not only level up your gamedev skills and let you meet new devs to befriend and learn from — and it will also get you involved in the community. If you make a good game for a competition and win some prizes in the process your game will automatically be promoted by the organizers and other attendees. You'll be rich and famous, or so they say.</p>

<p>Many great games get started as a quick, sloppy demo submitted to a competition. If both the idea and the execution are good enough, you will succeed. Plus competitions generally require games to follow a mandatory theme, so you can get creative around a theme if you are stuck for ideas.</p>

<h2 id="Website_and_blog">Website and blog</h2>

<p>You should definitely create your own website containing all the information about your games, so people can see what you've worked on. The more information you can include the better — you should include screenshots, description, trailer, press kit, requirements, available platforms, support details and more. You'll get bonus points for allowing your users to directly play your games online — at least in demo form. Also, you should do some work on SEO to allow people to find your games more easily.</p>

<p>You should also blog about everything related to your gamedev activities. Write about your development process, nasty bugs you encounter, funny stories, lessons learned, and the ups and downs of being a game developer. Continually publishing information about your games will help educate others, increase your reputation in the community, and further improve SEO. A further option is to publish <a href="http://dev.end3r.com/?s=monthly+report">monthly reports</a> that summarize all your progress — it helps you see what you've accomplished throughout the month and what's still left to do, and it keeps reminding people that your game is coming out soon — building buzz is always good.</p>

<p>While you can create your website from scratch, there are also tools that can help make the process easier.  <a href="https://manakeep.com">ManaKeep</a> is a website builder made for indie game developers and provides a great starting point to create your website.  <a href="http://dopresskit.com/">Presskit()</a> is a press kit builder that helps you create a press page to share with the media.</p>

<h2 id="Social_media">Social media</h2>

<p>Your social media presence is very important — follow the right <a href="https://twitter.com/hashtag/gamedev">hashtags</a>, make friends, engage in conversations, help other devs in need. Honesty is key and you should be authentic, because nobody likes boring press releases or pushy advertisements. When the time comes your community will help you spread the word about your shiny little game.</p>

<p>You should use at least Twitter and Facebook and be active on appropriate forums — the most popular one is <a href="http://www.html5gamedevs.com/">HTML5GameDevs.com</a>. Share your gamedev news and answer questions, so people will value what you're doing and will know that you're ok. Remember to not be too pushy on telling everyone about your games — you're not a walking advertisement.</p>

<p>Grow your fanbase by talking to them, sharing tips, offering discounts, giving away prizes in competitions, or just complaining at the weather or buggy browser you have to deal with. Act cool, be generous, be yourself and be there for others, and you'll get treated with respect.</p>

<h2 id="Game_portals">Game portals</h2>

<p>Using game portals is mostly concerned with <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_monetization">monetization</a>, but if you're not planning to <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_monetization#Licensing">sell licenses</a> to allow people to purchase your game and are intending to <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_monetization#Advertisements">implement adverts</a> or in-app purchases instead, promoting your game across free portals can be effective.</p>

<p>You can send your games for publication on portals like <a href="https://crazygames.com">CrazyGames.com</a>, <a href="https://gamedistribution.com/">GameDistribution.com</a>, <a href="https://www.pffg.online">Pffg.online</a>, <a href="https://lagged.com">Lagged.com</a>, <a href="https://www.pacogames.com">PacoGames.com</a> ,<a href="https://www.games4html5.com/">games4html5.com</a>, <a href="http://html5games.com/">HTML5Games.com</a>, <a href="https://www.bestgamo.com">BestGamo.com</a> or <a href="https://www.crazygames4u.com/">Crazy Games</a> and there are about 20-30 other notable game portals with and without API. </p>

<p>Those portals that have their own API will allow you to authorize users, save their progress and process in-app purchases. You can also sell a full version of the game from inside your browser demo version, which will be a great move considering high competition, some developers even manage to make full browser versions. Most portals offer revenue share deals or will buy non exclusive license.</p>

<p>Free portals offer traffic, but only the best ones are popular enough to generate revenues from advertisements on in-app purchases. On the other hand they are a perfect tool to make games visible to a broader audience if you have no budget and limited time.</p>

<h2 id="Press">Press</h2>

<p>You can try and reach the <a href="http://indiegames.com/">press</a> about your game, but bear in mind that they get a tonne of requests like this every single day, so be humble and patient if they don't answer right away, and be polite when talking to them. Be sure to check first if they are dealing with specific genres of games or platforms, so you don't send them something that is not relevant to them in the first place. If you're honest with your approach and your game is good, then you've got more of a chance of success.</p>

<p>If you want to learn more about the etiquette of contacting the press you should definitely check out <a href="http://www.pixelprospector.com/how-to-contact-press/">How To Contact Press</a> - a great guide from Pixel Prospector, and the <a href="http://videogamejournaliser.com/">Video Game Journaliser</a> site curated by them for the list of sites to contact.</p>

<h2 id="Tutorials">Tutorials</h2>

<p>It's good to share your knowledge with other devs — after all you probably learned a thing or two from online articles, so you take the time to pay that knowledge forward. Talking or writing about something you achieved or problems you overcame is something people would be interested it. And you can use your own game as an example, especially in a tutorial when you're <a href="/en-US/docs/Games/Techniques/Controls_Gamepad_API">showing how to do something you've implemented already</a>. That way everyone benefits — people learn new skills, your game gets promoted, and if you're lucky you can even get paid for writing a tutorial if it's good enough.</p>

<p>There are portals like <a href="http://gamedevelopment.tutsplus.com/">Tuts+ Game Development</a> which will be more than happy if you write for them - they pay for the content, but not all topic ideas will be accepted. When writing a tutorial remember to focus on delivering something valuable to the reader. They want to learn something - offer your expertise and use your game as a case study. Focus on one aspect and try to explain it throughout and in detail. Also remember to follow up discussion in comments if people have any questions.</p>

<p>If portals you contact are not interested in your content because you don't have any experience yet, try writing tutorials and publish them on <a href="/en-US/docs/Games/Publishing_games/Game_promotion#Website_and_blog">your own blog</a> first. It's the easiest way to train your writing skills on your own.</p>

<h2 id="YouTubers">YouTubers</h2>

<p>It's a rising trend — don't underestimate the power of YouTubers playing your game, talking about it and streaming their experience to give you lots of promotion. You should also be realistic however — don't think this alone will skyrocket your downloads or visits, and be prepared to deal with bad reviews as well as good ones.</p>

<p>There are two options to get coverage from the YouTubers: first is you contact them directly and send a link to your game via email or private message. The second is earned in time - if you're known enough the YouTubers will contact you and ask for the link or build of your game. This <a href="http://videogamecaster.com/big-list-of-youtubers">Big List of YouTubers</a> is a great place to start. You can find YouTube and Twitch.tv influencers at <a href="https://gameinfluencer.com/">gameInfluencer.com</a> to help promote your game.</p>

<h2 id="Events">Events</h2>

<p>If you've gone through all the options listed above you can still find new, creative ways to promote your game — events are another good example. Attending events, both local and global, gives you the ability to meet your fans face to face, as well as other members of the development community. Value the fact that they spent their time seeing you.</p>

<h3 id="Conferences">Conferences</h3>

<p>There are many conferences where you can give a talk explaining some technical difficulties you overcame, or how you implemented specific APIs; again — use your games as examples for that. It's important to focus on the knowledge part and tone down the marketing — devs are sensitive on this matter and you may end up with an angry crowd if you just try to sell them something.</p>

<h3 id="Fairs">Fairs</h3>

<p>The other event-related option is fairs (or expos) — at such an event you can get a booth among other devs and promote your game to all the attendees passing by. If you do so, try to be unique and original, so you easily stand from the crowd. Do it the right way and everybody will be talking about you and your game. Having a booth gives you the possibility to interact with your fans directly — besides the promotion part you can also test new builds of your game on regular people and fix any bugs (or incorporate any feedback) they uncover. You can't imagine what people may come up with when playing your game, and what obvious issues you've missed while spending hours polishing it.</p>

<h2 id="Promo_codes">Promo codes</h2>

<p>If you're selling the game, then create the ability to distribute promo codes allowing people to access your game for free (or at least a demo or time-limited version), and send them all over the place — to press, youtubers, as competition prizes, etc. If the game reaches certain people you'll get a free advert to thousands of players. It can boost interest in your game more than anything else if you get lucky.</p>

<h2 id="Fostering_the_community">Fostering the community</h2>

<p>You can help community grow and promote yourself and your games at the same time. Sending out <a href="http://gamedevjsweekly.com/">weekly newsletters</a> and organizing <a href="http://js13kgames.com/">online competitions</a> or <a href="http://gamedevjs.com/">local meetups</a> will show others that you're passionate about what you do and that they can rely on you. Then when you need any help they will be there for you.</p>

<h2 id="Summary">Summary</h2>

<p>Any way of promoting your game is good. You have a whole lot of options to chose from with most of them being free, so it's only about your enthusiasm and available time. Sometimes you have to spend more time promoting a game than actually developing it. Remember that it's no use to have the best game in the world if no one knows it exists.</p>

<p>Now lets get on with that <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_monetization">monetization</a> part, and earn something for a living.</p>
